package edu.tuwien.kbs.db;

import java.sql.PreparedStatement;
import java.sql.Statement;


public interface IStoreConnection {

	public abstract void connect();

	public abstract void connect(int transactionIsolation);
	
	public abstract void close();
	
	public abstract Statement createStatement();
	
	public abstract Statement createScrollStatement();
	
	public PreparedStatement prepareStatement(String sql);

	
	public abstract void executeStatement(String sql);
	
	public abstract void deleteTable(String predicate);

}