package edu.tuwien.kbs.ldm.parser;

import java.util.ArrayList;


public abstract class LiteralParserFactory {
	
	
	public static ILiteralParser createParser(String text) { // , ArrayList <IPlugin> registeredPlugins		
		
	    // No External Atoms

	    // Internal Atoms
	    if(text.contains(Constant.PRED_OPEN) && text.contains(Constant.PRED_CLOSE)) {
		
		return new SimpleLiteralParser(text);
		
	    }
	    else
		return new SimpleBuiltInLiteralParser(text);
	
	}

}
