package edu.tuwien.kbs.ldm.parser;

import java.util.ArrayList;

public class SimpleBuiltInLiteralParser  extends SimpleLiteralParserBase implements ILiteralParser {
	

	public SimpleBuiltInLiteralParser(String text) {
		m_text = text;
		
	}

	public ILiteral parse() {
		
		BuiltInLiteral retLit = null;
		ArrayList<String> ls = new ArrayList<String>();
		
		String text = handleDot(m_text); // Handle dot

		/* Extract Text
		String[] texts = text.split("'");
		int j = 1;
		for (int i = 0; i < texts.length; i++) {
			
			if(i%2!=0) {
				ls.add(texts[i]);
				text = text.replace(texts[i], "%"+j+"$s");
				j++;
			}
			
		}
		*/
	
		String[] elements = text.split(" ");
		
		if(elements.length == 3) {
			
			Object[] args = ls.toArray();
			elements[0] = String.format(elements[0], args);
			elements[2] = String.format(elements[2], args);
			
			ITerm termL = createTerm(elements[0]); 
			ITerm termM = new FunctionTerm(elements[1]); 
			ITerm termR = createTerm(elements[2]);
			retLit = new BuiltInLiteral(termL, termM, termR);
			
		}
		else {
			throw new RuntimeException(m_text + " is not recoginzed!");			
		}

		
		return retLit;
	}

}
