package edu.tuwien.kbs.ldm.parser;


public class BuiltInLiteral implements ILiteral {

	protected ITerm[] m_terms = new ITerm[3]; // Just has 3 elements (Left, Middle, Right)
	protected int m_hashCode;
	
    public BuiltInLiteral(ITerm termLeft,ITerm termMiddle, ITerm termRight) {

		m_terms[0] = termLeft;
		m_terms[1] = termMiddle;
		m_terms[2] = termRight;
    	
        m_hashCode=10000+m_terms[0].hashCode()+m_terms[1].hashCode()+m_terms[2].hashCode();
    }
   
    public String getAddParameter() {
	return null;
    }
    
    	public boolean IsAggregate() {
    	    return false;
    	}
    
	public String getEntityAttribueNames() {
		return null;
	}

	public boolean containsVariable(Variable var) {
		
		if(m_terms[0].equals(var) || m_terms[1].equals(var) || m_terms[2].equals(var)) return true;
		
		return false;
	}

	public Constant getArgumentConstant(int argumentIndex) {
		return null;
	}

	public Variable getArgumentVariable(int argumentIndex) {
		return null;
	}

	public int getArity() {
		return 0;
	}

	public String getPredicatNameAsView() {
		return null;
	}

	public String getPredicateName() {
	    return null;
	}
	
	public Predicate getPredicate() {
		return null;
	}
	public Predicate[] getEmbeddedPredicates() {
		return null;
	}
	public ITerm getTerm(int argumentIndex) {
		return m_terms[argumentIndex];
	}

	public ITerm[] getTerms() {
		return m_terms;
	}

	public boolean isArgumentBoundToConstant(int argumentIndex) {
		return false;
	}

	public boolean isArgumentBoundToVariable(int argumentIndex) {
		return false;
	}

	public boolean isPositive() {
		return true;
	}

	public int positionOfVariable(Variable variable) {
		return 0;
	}


	public boolean IsRecursive() {
		// Always non-rec.
		return false;
	}


	public void setIsRecursive(boolean rec) {
		// Ignore		
	}

	public String toString() {
	
		StringBuffer buffer=new StringBuffer();
		
        for (int i=0;i<3;i++) {
            //if (i>0)  buffer.append(",");
            buffer.append(m_terms[i].toString());
        }
        
        return buffer.toString();
	}

}
